Bug 846481 - (cantata) Review Request: cantata - Client for the Music Player Daemon (MPD)
Review Request: cantata - Client for the Music Player Daemon (MPD)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-08-07 17:55 EDT by Rex Dieter
Modified: 2013-02-12 23:33 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-09 23:24:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dan.mashal: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2012-08-07 17:55:44 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/cantata/cantata.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/cantata/cantata-0.8.2-1.fc17.src.rpm
Description: Cantata is a (yet another!) client for the music player daemon (MPD). 
Fedora Account System Username: rdieter
Comment 1 Lameire Alexis 2012-08-07 21:15:14 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[?]: MUST Package contains no static executables.
     need verbose logging
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[!]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
     Note : GPLv2, GPLv3 detected and LGPL, some obscure file is bad detected, can you confirm that file is unused into fedore. In this case you must also retar the archive without the non free files.

[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[!]: MUST %build honors applicable compiler flags or justifies otherwise.
     The compilation is not verbose, you can export the VERBOSE=1 or pass it to make to tell cmake to be more verbose on compil time
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[!]: MUST Package contains no bundled libraries.
     libmaia is bundeled and compiled, you must patch the CMakelist to don't use it and remove it befere compile time
[X]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[!]: MUST Sources contain only permissible code or content.
     same issue as licence contant, but you must remove file relative to ffmpeg build.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[X]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[!]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
     you must folow the desktop guidelines and update the ican database : (http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache and http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-database)
[-]: MUST Development files must be in a -devel package
[-]: MUST Package requires other packages for directories it uses.
[X]: MUST Package uses nothing in %doc for runtime.
[X]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[?]: MUST Package complies to the Packaging Guidelines
     must enable verbose compiling message.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[X]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GENERATED FILE", "*No copyright* UNKNOWN", "UNKNOWN", "BSD (2 clause)",
     "GPL (v2 or later)", "GPL (v3 or later)", "BSD (3 clause)", "LGPL (v2)",
     "*No copyright* GENERATED FILE", "LGPL (v2.1 or later)" For detailed
[X]: MUST The spec file handles locales properly.
[X]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[X]: MUST Package is named according to the Package Naming Guidelines.
[X]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[X]: MUST Package obeys FHS, except libexecdir and /usr/target.
[X]: MUST Package must own all directories that it creates.
[X]: MUST Package does not own files or directories owned by other packages.
[!]: MUST Package installs properly.
     Note: Installation errors (see attachment)
[X]: MUST Package is not relocatable.
[X]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[X]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[X]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package installs properly.
     Note: Installation errors (see attachment)
See: https://fedoraproject.org/wiki/Packaging:Guidelines
[!]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop

Installation errors
-------------------
INFO: mock.py version 1.1.22 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
Mock Version: 1.1.22
INFO: Mock Version: 1.1.22
State Changed: lock buildroot
INFO: installing package(s): /home/alexises/846481-cantata/results/cantata-0.8.2-1.fc17.x86_64.rpm /home/alexises/846481-cantata/results/cantata-debuginfo-0.8.2-1.fc17.x86_64.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-17-x86_64/root/', 'install', '/home/alexises/846481-cantata/results/cantata-0.8.2-1.fc17.x86_64.rpm', '/home/alexises/846481-cantata/results/cantata-debuginfo-0.8.2-1.fc17.x86_64.rpm', '--setopt=tsflags=nocontexts']
Erreur : Paquet : cantata-0.8.2-1.fc17.x86_64 (/cantata-0.8.2-1.fc17.x86_64)
             Requiert : mpd
 Vous pouvez essayer d'utiliser --skip-broken pour contourner le problème
 Vous pouvez essayer d'exécuter : rpm -Va --nofiles --nodigest

Rpmlint
-------
Checking: cantata-0.8.2-1.fc17.x86_64.rpm
          cantata-debuginfo-0.8.2-1.fc17.x86_64.rpm
          cantata-0.8.2-1.fc17.src.rpm
cantata.x86_64: I: enchant-dictionary-not-found en_US
cantata.x86_64: W: no-documentation
cantata.x86_64: W: no-manual-page-for-binary cantata
cantata.src:20: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 20)
cantata.src: W: invalid-url Source0: http://cantata.googlecode.com/files/cantata-0.8.2.tar.bz2 HTTP Error 404: Not Foundi
(not an error ;))
3 packages and 0 specfiles checked; 0 errors, 4 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint cantata cantata-debuginfo
(none): E: no installed packages by name cantata
(none): E: no installed packages by name cantata-debuginfo
0 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
cantata-0.8.2-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/env  
    libQtCore.so.4()(64bit)  
    libQtDBus.so.4()(64bit)  
    libQtGui.so.4()(64bit)  
    libQtNetwork.so.4()(64bit)  
    libQtSvg.so.4()(64bit)  
    libQtWebKit.so.4()(64bit)  
    libQtXml.so.4()(64bit)  
    libc.so.6()(64bit)  
    libgcc_s.so.1()(64bit)  
    libkdecore.so.5()(64bit)  
    libkdeui.so.5()(64bit)  
    libkdewebkit.so.5()(64bit)  
    libkio.so.5()(64bit)  
    libkparts.so.4()(64bit)  
    libm.so.6()(64bit)  
    libmtp.so.9()(64bit)  
    libnepomuk.so.4()(64bit)  
    libnepomukutils.so.4()(64bit)  
    libphonon.so.4()(64bit)  
    libpthread.so.0()(64bit)  
    libsolid.so.4()(64bit)  
    libsoprano.so.4()(64bit)  
    libstdc++.so.6()(64bit)  
    libstdc++.so.6(CXXABI_1.3)(64bit)  
    libtag.so.1()(64bit)  
    mpd  
    perl(File::stat)  
    perl(IO::Socket::INET)  
    perl(POSIX)  
    rtld(GNU_HASH)  

cantata-debuginfo-0.8.2-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

Provides
--------
cantata-0.8.2-1.fc17.x86_64.rpm:
    
    cantata = 0.8.2-1.fc17
    cantata(x86-64) = 0.8.2-1.fc17

cantata-debuginfo-0.8.2-1.fc17.x86_64.rpm:
    
    cantata-debuginfo = 0.8.2-1.fc17
    cantata-debuginfo(x86-64) = 0.8.2-1.fc17

MD5-sum check
-------------
http://cantata.googlecode.com/files/cantata-0.8.2.tar.bz2 :
  MD5SUM this package     : 9bda49f1083820582723353f566268f3
  MD5SUM upstream package : 9bda49f1083820582723353f566268f3

Others
------
mpd look logicly not be needed, if you wish to connect to a mpd server located outside the client pc.


this repport whas generated semi automaticaly with fedora repo and in this case all error are not refferenced into the issue section. If you would like to see it you must read all the file.
Comment 2 Lameire Alexis 2012-08-07 21:22:50 EDT
I'll make your review.
Comment 3 Rex Dieter 2012-09-25 15:27:25 EDT
I'll respond to items marked "!"

1. licensing.  unsure what the problem is here
find -name \*.cpp  | xargs licensecheck  | grep -v GPL
./qtsingleapplication/qtlockedfile.cpp: UNKNOWN
./qtsingleapplication/qtlocalpeer.cpp: UNKNOWN
./qtsingleapplication/qtlockedfile_win.cpp: UNKNOWN
./qtsingleapplication/qtsingleapplication.cpp: UNKNOWN
./qtsingleapplication/qtlockedfile_unix.cpp: UNKNOWN
./qtsingleapplication/qtsinglecoreapplication.cpp: UNKNOWN
./replaygain/ffmpeginput.cpp: UNKNOWN
./replaygain/mpg123input.cpp: UNKNOWN
./widgets/fancytabwidget.cpp: UNKNOWN
./libmaia/maiaObject.cpp: BSD (2 clause)
./libmaia/maiaXmlRpcServerConnection.cpp: BSD (2 clause)
./libmaia/maiaFault.cpp: BSD (2 clause)
./libmaia/maiaXmlRpcClient.cpp: BSD (2 clause)
./libmaia/maiaXmlRpcServer.cpp: BSD (2 clause)

looks like found another bundled lib, qtsingleapplication.  anyway, eplaygain/libebur128-COPYING is basically BSD and 
./widgets/fancytabwidget.cpp is LGPLv2


2.  MUST %build honors applicable compiler flags or justifies otherwise.
     The compilation is not verbose, you can export the VERBOSE=1 or pass it to

the build is verbose (cmake is verbose by default in fedora).  not sure what you mean here either.


3. [!]: MUST Sources contain only permissible code or content.
     same issue as licence contant, but you must remove file relative to ffmpeg build.

I found nothing that had license issues, nor is the ffmpeg-interfacing code have problems with patents as far as I can tell.  can you elaborate?


4.  [!]: MUST License field in the package spec file matches the actual license.

The combined work, of GPLv2+ and BSD and LGPLv2 is indeed
License: GPLv2+



Outstanding item:  bundled libraries qtsingleapplication and limaia.  the former is in fedora, the latter seems to be a fairly old library, designed to be bundled (to buildsystem support to be installed system wide) and has no formal releases as far as I can tell.  :(  I may well just build a separate libmaia from within cantata for now.
Comment 4 Rex Dieter 2012-09-25 16:19:50 EDT
looks like libmaia cannot be built independently, the sources have been forked slightly at least from what I've found @ https://github.com/wiedi/libmaia (unless you're aware of some other upstream source).

Spec URL: http://rdieter.fedorapeople.org/rpms/cantata/cantata.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/cantata/cantata-0.8.3.1-1.fc17.src.rpm

%changelog
* Tue Sep 25 2012 Rex Dieter <rdieter@fedoraproject.org> 0.8.3.1-1
- cantata-0.8.3.1
- run desktop-file-validate
- add icon scriptlets
- drop Requires: mpd
- %%doc LICENSE AUTHORS ChangeLog README TODO
- omit and explicitly disable ffmpeg, mpg123 support
Comment 5 Rex Dieter 2012-11-08 10:53:56 EST
Can you please respond to my questions in comment #3 as well as highlight any remaining review blockers you see?  thanks.
Comment 6 Ralf Corsepius 2012-11-14 03:44:44 EST
Another small nit:

# rpm -q --requires -p /var/lib/mock/fedora-rawhide-x86_64/result/cantata-0.8.3.1-1.fc19.x86_64.rpm 
...
/usr/bin/env  
...

This requires originates from /usr/libexec/kde4/cantata-dynamic, which uses a shebang of "#!/usr/bin/env perl".

This should be changed into "#!/usr/bin/perl"
Comment 7 Rex Dieter 2012-11-28 09:12:05 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/cantata/cantata.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/cantata/cantata-0.8.3.1-2.fc18.src.rpm

%changelog
* Wed Nov 28 2012 Rex Dieter <rdieter@fedoraproject.org> 0.8.3.1-2
- patch s|^#!/usr/bin/env perl|#!/usr/bin/perl|
Comment 8 Rex Dieter 2012-12-11 09:36:41 EST
Following,
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

reviewer hasn't responded in over a month, resetting review.
Comment 9 Dan Mashal 2012-12-23 23:56:30 EST
Looks good. Tested and basic functiontality works on MATE + Rawhide.

Naming - OK.
Licensing - OK.

Successful koji scratch build here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4816949

rpmlint:

Checking: cantata-0.8.3.1-2.fc18.src.rpm
          cantata-debuginfo-0.8.3.1-2.fc18.x86_64.rpm
          cantata-0.8.3.1-2.fc18.x86_64.rpm
cantata.src: W: invalid-url Source0: http://cantata.googlecode.com/files/cantata-0.8.3.1.tar.bz2 HTTP Error 404: Not Found
cantata.x86_64: W: no-manual-page-for-binary cantata
3 packages and 0 specfiles checked; 0 errors, 2 warnings.


Bug should probably filed against rpmlint for this.
Comment 10 Rex Dieter 2013-01-05 16:20:44 EST
New Package SCM Request
=======================
Package Name: cantata
Short Description: Client for the Music Player Daemon (MPD) 
Owners: rdieter
Branches: f17 f18
InitialCC:
Comment 11 Jon Ciesla 2013-01-07 08:22:25 EST
Git done (by process-git-requests).
Comment 12 Fedora Update System 2013-01-30 14:04:03 EST
cantata-0.9.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cantata-0.9.2-1.fc18
Comment 13 Fedora Update System 2013-01-30 14:04:21 EST
cantata-0.9.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cantata-0.9.2-1.fc17
Comment 14 Fedora Update System 2013-02-01 11:31:55 EST
cantata-0.9.2-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 15 Fedora Update System 2013-02-09 23:24:16 EST
cantata-0.9.2-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 16 Fedora Update System 2013-02-12 23:33:20 EST
cantata-0.9.2-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.